/* https://colorhunt.co/palette/130807 */

@import url('https://fonts.googleapis.com/css2?family=Cabin&display=swap');
/* font-family: 'Cabin', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Cabin&family=Train+One&display=swap');
/* font-family: 'Train One', cursive; */

body{
  margin: 0px;
  background-color: #eeeeee;
  /* font-family: Helvetica; */
  height: auto;
  font-family: 'Cabin', sans-serif;
}

/* --------------------------------------ANIMATIONS------------------------------------------- */
@keyframes transup{
	from {opacity: 0; transform: translateY(100px);}
	to {opacity: 1;	transform: translateY(0px);}
}
@keyframes glow {
  0% {opacity: 50%}
  50% {opacity: 100%}
  100% {opacity: 50%}
}
@keyframes menuglow {
  0% {opacity: 20%}
  100% {opacity: 100%}
}
/* --------------------------------------STRUCTURE------------------------------------------ */
.navigation{
  margin: 0px;
  padding-top: 15px;
  width: 100%;
  height: 5vh;
  background-color: rgb(238,238,238,0.7);
  text-align: center;
  position: fixed;
  display: block;
  z-index: 1;
}
.navigation a{
   line-height: 30px;
    text-transform: uppercase;
    letter-spacing: 4px;
    /* display: block; */
    font-size: 20px;
    font-weight: bold;
    color: black;
    text-decoration: none;
}
.navigation a:hover{
  animation-name: glow;
  animation-duration: 3s;
  animation-iteration-count: infinite;
}
.menu-section{
  padding: 5px 10px;
  right: 10px;
  top: 4px;
  border-radius: 10px;
  cursor: pointer;
  position: fixed;
}
.menu-section:hover{
  animation-name: glow;
  animation-duration: 3s;
  animation-iteration-count: infinite;
}
.menu-section img{
  width: 40px;
}

#menu{
  display: none;
  position: fixed;
  background-color: rgb(0,0,0,0.9);
  animation: menuglow;
  animation-duration: 1s;
  height: 100vh;
  width: 100%;
  bottom: 0px;
  z-index: 1;
}
#menu a{
  text-decoration: none;
  font-family: 'Train One', cursive;
  color: white;
}
#menu a:hover{
  color: grey;
}
#menu ul{
  text-align: right;
  position: absolute;
  font-size: 50px;
  font-weight: 800;
  line-height: 42px;
  letter-spacing: 8px;
  text-transform: uppercase;
  top: 25vh;
  right: 1vh;
  list-style-type: none;
}

.content{
  padding: 7vh 3vh 4vh;
  z-index: -1;
  text-align: center;
  animation: transup;
  animation-duration: 2s;
}
.current-page{
  letter-spacing: 4px;
  font-size: 15px;
  font-weight: bold;
  color: black;
  bottom: 30px;
  width: 100%;
  text-align: center;
  text-transform: uppercase;
  opacity: 0.8;
  position: fixed;
  display: block;
  z-index: 1;
}
.footer{
  padding: 5px;
	text-align: center;
	font-family: Montserrat-Regular;
  font-size: 10px;
  letter-spacing: 5px;
  font-weight: normal;
  position: relative;
  bottom: 0;
}

/* -------------------------------------PORTFOLIO PAGES--------------------------------------- */
.gallery{
	column-count: 3;
}
.image{
	padding: 40px;/*Image size also changes*/
}
.image img{
	width: 100%;
	filter: grayscale(40%);
}
.image img:hover{
	filter: grayscale(0%);
  transition: 0.5s;
	transform: scale(1.15);
  overflow: visible;
}

/* -------------------------------------CONTACT---------------------------------------- */
.contact-pic{
  width: 60%;
}
.contact-info{
  letter-spacing: 2px;
  font-weight: 400;
  font-size: 20px;
  margin-bottom: 50px;
}
.link img{
	height: 50px;
	opacity: 50%;
	position: relative;
}
.link img:hover{
  opacity: 90%;
}
.contact-form{
  padding: 20px 100px;
  border-radius: 20px;
  width: 40%;
  color: #393e46;
  display: inline-block;
  /* align-self: center; */
}
.input-container{
  margin-bottom: 20px;
}
.input{
  outline: none;
  width: 90%;
  font-family: 'Cabin', sans-serif;
  background-color: #eeeeee;
  border-radius: 15px;
  font-size: 17px;
  letter-spacing: 1.5px;
  text-align: center;
  border: 1.5px #393e46 solid;
  padding: 5px 15px;
}
textarea.input{
  min-height: 150px;
  text-align: justify;
  resize: none;
  overflow-y: auto;
}
.input:focus{
  background-color: #e6e6e6;
}
.submit-btn{
  padding: 10px 20px;
  border-radius: 10px;
  border: 0;
  font-size: 20px;
  color: #eeeeee;
  letter-spacing: 2px;
  font-weight: 500;
  text-transform: capitalize;
  background-color: #393e46;
  cursor: pointer;
}
.submit-btn:hover{
  background-color: #929aab;
}

/* ----------------------------------------RESPONSIVE------------------------------------- */
@media screen and (max-width: 1200px) {
  .gallery{
  	column-count: 2;
  }
  .navigation a{
    line-height: 25px;
    font-size: 17px;
  }
  .menu-section img{
    width: 35px;
  }
  .image{
  	padding: 18px;/*Image size also changes*/
  }
  .contact-form{
    width: 60%;
    padding: 20px 10px;
  }
}
@media screen and (max-width: 450px) {
  .gallery{
  	column-count: 1;
  }
  .navigation a{
    font-size: 15px;
    line-height: 20px;
  }
  .menu-section img{
    width: 30px;
  }
  .image{
  	padding: 18px;/*Image size also changes*/
  }
  .current-page{
    font-size: 13px;
  }
  .footer{
    font-size: 8px;
  }
  .contact-form{
    width: 80%;
    padding: 20px 10px;
  }
}
